<% if resource.errors.any? %>
  <div id="error_explanation" data-alert class="callout alert" data-closable>
    <button class="close-button" aria-label="<%= t("application.close") %>" type="button" data-close>
      <span aria-hidden="true">&times;</span>
    </button>

    <strong>
      <%= pluralize resource.errors.count, t("form.error"), t("form.errors") %>

      <% if local_assigns[:message].present? %>
        <%= message %>
      <% elsif flash[:error].present? %>
        <%= flash[:error] %>
      <% else %>
        <%= t("form.not_saved_html", resource: t("form.#{resource.class.to_s.underscore}")) %>
      <% end %>
    </strong>
  </div>
<% end %>